import java.util.Scanner;

class solution {
	private static int[] classify(int N, Scanner sc) {
		int[] count = new int[1000001];
		for (int i = 0; i < N; ++i) {
			count[sc.nextInt()]++;
		}
		int[] ans = new int[N+1];
		for (int i = 0; i < 1000001; ++i) {
			if (count[i] != 0) ans[count[i]]++;
		}
		return ans;
	}
	public static void main(String[] args) {
		Scanner sc = new Scanner(System.in);
		int T = sc.nextInt();
		for (int t = 0; t < T; ++t) {
			int N = sc.nextInt();
			int[] cornell = classify(N, sc);
			int[] white = classify(N, sc);
			boolean equal = true;
			for (int i = 0; i < N+1; ++i) {
				if (cornell[i] != white[i]) equal = false;
			}
			if (equal) System.out.println("what a lovely party");
			else System.out.println("you've messed up, Cornell");
		}
	}
}
